Description

When filtering tickets 'text' fields, I mean builtin 'text' fields like 'title' AND also 'text' custom fields, you can choose between :

'is'

'contains'

'is not'

'doesn't contain'

It will be nice if you add new choices :

'regex'(this one should be very very useful)

'is empty'

'is not empty'

Related issues:

Related to Redmine - Feature #3040: Extend filter on subject field Closed 2009-03-24

Related to Redmine - Feature #4815: More criteria for filtering tickets Closed 2010-02-11

History

#1 - 2009-04-16 15:43 - Jm Delehaye

- Assignee set to Jean-Philippe Lang

Is there a workaround to filter a text field with a criteria 'is empty' or 'is not empty' ?

#2 - 2009-05-20 04:53 - sebastián scarano

"is not" and "does not contain" could be better solved with a general "not" operator, that could added to every operator no matter the data type...

#3 - 2009-09-14 11:29 - Jm Delehaye

Browsing sources, I found a workaround : Countains '_'

In SQL, it becomes :

... LIKE %_%...

which means "contains something".

#4 - 2013-03-18 17:22 - Dipan Mehta

+1. This is very useful.
